%define pkg_name    sbcl
%define pkg_version 1.3.4
%define pkg_release 1%{?_dist_release}

Summary: Steel Bank Common Lisp
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: A mixture of BSD-style and public domain
Group:   Applications/Languages
URL:     http://www.sbcl.org/
SOURCE:  sbcl-%{version}-source.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: clisp
BuildRequires: texinfo
%if %{?_dist_release} == "vl6"
BuildRequires: texlive-common
BuildRequires: texlive-collection-texinfo
%endif


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Steel Bank Common Lisp (SBCL) is a high performance Common Lisp compiler.
It is open source / free software, with a permissive license.
In addition to the compiler and runtime system for ANSI Common Lisp,
it provides an interactive environment including a debugger,
a statistical profiler, a code coverage tool, and many other extensions.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
sh make.sh "clisp" --prefix=%{_usr}

cd doc/manual
%{__make} html info
%if %{?_dist_release} == "vl6"
%{__make} pdf
%endif

%install
export INSTALL_ROOT=${RPM_BUILD_ROOT}%{_prefix}
sh install.sh

%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/sbcl/*.html \
        ${RPM_BUILD_ROOT}%{_docdir}/sbcl/html

%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/sbcl \
        ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%post
for doc in asdf sbcl; do
    file=%{_infodir}/${doc}.info.gz
    if [ -e ${file} ]; then
        /sbin/install-info ${file} %{_infodir}/dir 2>/dev/null
    fi
done

%preun
if [ $1 = 0 ]; then
    for doc in asdf sbcl; do
        file=%{_infodir}/${doc}.info.gz
        if [ -e ${file} ]; then
            /sbin/install-info --delete ${file} %{_infodir}/dir 2>/dev/null
        fi
    done
fi

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
/usr/lib/sbcl/
%{_docdir}/sbcl-%{version}
%{_infodir}/
%{_mandir}/man1/


%changelog
* Sun Apr 17 2016 Toshiaki Ara <ara_t@384.jp> 1.3.4-1
- new package
